import "./filters.js";
import { isBooleanFilterState } from "./BooleanFilter.js";
import { isCurrencyFilterState } from "./CurrencyFilter.js";
import { isDateFilterState } from "./DateFilter.js";
import { isEnumFilterState } from "./EnumFilter.js";
import { isIdFilterState } from "./IdFilter.js";
import { isStringFilterState } from "./StringFilter.js";
//#region src/components/DataManagerTable/utils.ts
function isEnumFilterAndState(filterAndState) {
	return filterAndState.filter.type === "enum" && isEnumFilterState(filterAndState.state);
}
function isBooleanFilterAndState(filterAndState) {
	return filterAndState.filter.type === "boolean" && isBooleanFilterState(filterAndState.state);
}
function isCurrencyFilterAndState(filterAndState) {
	return filterAndState.filter.type === "currency" && isCurrencyFilterState(filterAndState.state);
}
function isDateFilterAndState(filterAndState) {
	return filterAndState.filter.type === "date" && isDateFilterState(filterAndState.state);
}
function isIdFilterAndState(filterAndState) {
	return filterAndState.filter.type === "id" && isIdFilterState(filterAndState.state);
}
function isStringFilterAndState(filterAndState) {
	return filterAndState.filter.type === "string" && isStringFilterState(filterAndState.state);
}
//#endregion
export { isBooleanFilterAndState, isCurrencyFilterAndState, isDateFilterAndState, isEnumFilterAndState, isIdFilterAndState, isStringFilterAndState };
